diff --git a/game/client/src/main/java/net/minecraft/client/render/TileEntityRenderDispatcher.java b/game/client/src/main/java/net/minecraft/client/render/TileEntityRenderDispatcher.java
index 2d3c03fed..7719805c6 100644
--- a/game/client/src/main/java/net/minecraft/client/render/TileEntityRenderDispatcher.java
+++ b/game/client/src/main/java/net/minecraft/client/render/TileEntityRenderDispatcher.java
@@ -2,51 +2,84 @@ package net.minecraft.client.render;
 
 import java.util.*;
 
+import net.minecraft.client.Minecraft;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.camera.ICamera;
 import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.texturepack.TexturePackList;
 import net.minecraft.client.render.tileentity.*;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.entity.*;
 import net.minecraft.core.block.piston.TileEntityMovingPistonBlock;
 import net.minecraft.core.world.World;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class TileEntityRenderDispatcher
+public final class TileEntityRenderDispatcher
 {
+    public static final @NotNull TileEntityRenderDispatcher instance = new TileEntityRenderDispatcher();
+    public static double renderPosX = 0;
+    public static double renderPosY = 0;
+    public static double renderPosZ = 0;
+
+    private final @NotNull Map<@NotNull Class<? extends TileEntity>, @Nullable TileEntityRenderer<?>> renderers;
+
+    public final @NotNull TextureManager textureManager;
+    public final @NotNull TexturePackList packList;
+    private final @NotNull FontRenderer font;
+    public final @NotNull GameSettings settings;
+    public @Nullable World world;
+    public @Nullable ICamera camera;
+    public float viewLerpYaw = 0;
+    public float viewLerpPitch = 0;
+    public double viewLerpPosX = 0;
+    public double viewLerpPosY = 0;
+    public double viewLerpPosZ = 0;
+
 
     private TileEntityRenderDispatcher()
     {
-        renderers = new HashMap<>();
-        renderers.put(TileEntitySign.class, new TileEntityRendererSign());
-        renderers.put(TileEntityFlag.class, new TileEntityRendererFlag());
-        renderers.put(TileEntityMobSpawner.class, new TileEntityRendererMobSpawner());
-        renderers.put(TileEntityMovingPistonBlock.class, new TileEntityRendererMovingPiston());
-        renderers.put(TileEntityFlowerJar.class, new TileEntityRendererFlowerJar());
-        renderers.put(TileEntityJarButterfly.class, new TileEntityRendererJarButterfly());
-        renderers.put(TileEntityMeshGold.class, new TileEntityRendererMeshGold());
-        renderers.put(TileEntityStatue.class, new TileEntityRendererStatue());
-
-        for (TileEntityRenderer<?> tileEntityRenderer : renderers.values())
-        {
-            tileEntityRenderer.setRenderDispatcher(this);
-        }
+        final Minecraft mc = Minecraft.getMinecraft();
+        this.textureManager = mc.textureManager;
+        this.packList = mc.texturePackList;
+        this.font = mc.font;
+        this.settings = mc.gameSettings;
+        this.renderers = new HashMap<>();
+        reload();
+    }
 
+    public void reload() {
+        this.renderers.clear();
+        assignRenderer(TileEntitySign.class, new TileEntityRendererSign());
+        assignRenderer(TileEntityFlag.class, new TileEntityRendererFlag());
+        assignRenderer(TileEntityMobSpawner.class, new TileEntityRendererMobSpawner());
+        assignRenderer(TileEntityMovingPistonBlock.class, new TileEntityRendererMovingPiston());
+        assignRenderer(TileEntityFlowerJar.class, new TileEntityRendererFlowerJar());
+        assignRenderer(TileEntityJarButterfly.class, new TileEntityRendererJarButterfly());
+        assignRenderer(TileEntityMeshGold.class, new TileEntityRendererMeshGold());
+        assignRenderer(TileEntityStatue.class, new TileEntityRendererStatue());
+    }
+
+    public <T extends TileEntity> void assignRenderer(final Class<? extends T> clazz, final TileEntityRenderer<T> renderer) {
+        this.renderers.put(clazz, renderer);
+        renderer.init(clazz, this);
     }
 
     @SuppressWarnings("unchecked") // trust me this is safe, Notch did it first
-    public <T extends TileEntity> TileEntityRenderer<T> getRenderer(Class<? extends TileEntity> e)
+    public <T extends TileEntity> TileEntityRenderer<T> getRenderer(final Class<? extends TileEntity> e)
     {
-        TileEntityRenderer<? extends TileEntity> r = renderers.get(e);
+        TileEntityRenderer<? extends TileEntity> r = this.renderers.get(e);
         if(r == null && e != TileEntity.class)
         {
             r = getRenderer((Class<? extends TileEntity>) e.getSuperclass());
-            renderers.put(e, r);
+            this.renderers.put(e, r);
         }
         return (TileEntityRenderer<T>) r;
     }
 
-    public <T extends TileEntity> TileEntityRenderer<T> getRenderer(T tileEntity)
+    public <T extends TileEntity> @Nullable TileEntityRenderer<T> getRenderer(final @Nullable T tileEntity)
     {
         if(tileEntity == null)
         {
@@ -58,38 +91,41 @@ public class TileEntityRenderDispatcher
         }
     }
 
-    public <T extends TileEntity> boolean hasRenderer(T tileEntity)
+    public <T extends TileEntity> boolean hasRenderer(final @NotNull T tileEntity)
     {
         return getRenderer(tileEntity) != null;
     }
 
-    public void cacheActiveRenderInfo(World world, TextureManager textureManager, FontRenderer fontRenderer, ICamera camera, float partialTick)
+    public void cacheActiveRenderInfo(final @NotNull World world, final @NotNull ICamera camera, final float partialTick)
     {
-        if(worldObj != world)
-        {
-            updateRendererWorldCache(world);
+        if(this.world != world) {
+            for (final @Nullable TileEntityRenderer<?> renderer : this.renderers.values()) {
+                if (renderer == null) continue;
+                renderer.onWorldChanged(world);
+            }
         }
-        this.textureManager = textureManager;
+        this.world = world;
         this.camera = camera;
-        this.fontRenderer = fontRenderer;
-        viewLerpYaw = (float) camera.getYRot(partialTick);
-        viewLerpPitch = (float) camera.getXRot(partialTick);
-        viewLerpPosX = (float) camera.getX(partialTick);
-        viewLerpPosY = (float) camera.getY(partialTick);
-        viewLerpPosZ = (float) camera.getZ(partialTick);
+        this.viewLerpYaw = (float) camera.getYRot(partialTick);
+        this.viewLerpPitch = (float) camera.getXRot(partialTick);
+        this.viewLerpPosX = camera.getX(partialTick);
+        this.viewLerpPosY = camera.getY(partialTick);
+        this.viewLerpPosZ = camera.getZ(partialTick);
     }
 
-    public <T extends TileEntity> void renderTileEntity(Tessellator tessellator, T tileEntity, float partialTick)
+    public <T extends TileEntity> void renderTileEntity(final @NotNull Tessellator tessellator, final @NotNull T tileEntity, final float partialTick)
     {
-        if(tileEntity.getDistanceFrom(viewLerpPosX, viewLerpPosY, viewLerpPosZ) < 4096D)
+        if(tileEntity.getDistanceFrom(this.viewLerpPosX, this.viewLerpPosY, this.viewLerpPosZ) < 4096D)
         {
-            float brightness = 1.0f;
+            assert this.world != null;
+            final float brightness;
             if(LightmapHelper.isLightmapEnabled()) {
-            	LightmapHelper.setLightmapCoord(worldObj.getLightmapCoord(tileEntity.x, tileEntity.y, tileEntity.z, 0));
+            	LightmapHelper.setLightmapCoord(this.world.getLightmapCoord(tileEntity.x, tileEntity.y, tileEntity.z, 0));
+                brightness = 1.0f;
             }else if(Global.accessor.isFullbrightEnabled()) {
-            	
+                brightness = 1.0f;
             }else {
-            	brightness = worldObj.getLightBrightness(tileEntity.x, tileEntity.y, tileEntity.z);
+                brightness = this.world.getLightBrightness(tileEntity.x, tileEntity.y, tileEntity.z);
             }
             GL11.glColor3f(brightness, brightness, brightness);
             renderTileEntity(tessellator,
@@ -100,45 +136,18 @@ public class TileEntityRenderDispatcher
         }
     }
 
-    public <T extends TileEntity> void renderTileEntity(Tessellator tessellator, T tileEntity, double x, double y, double z, float partialTick)
+    public <T extends TileEntity> void renderTileEntity(final @NotNull Tessellator tessellator, final @NotNull T tileEntity, final double x, final double y, final double z, final float partialTick)
     {
-        TileEntityRenderer<T> renderer = getRenderer(tileEntity);
+        final TileEntityRenderer<T> renderer = getRenderer(tileEntity);
         if(renderer != null)
         {
             renderer.doRender(tessellator, tileEntity, x, y, z, partialTick);
         }
     }
 
-    public void updateRendererWorldCache(World world)
+    public @NotNull FontRenderer getFont()
     {
-        worldObj = world;
-        for (TileEntityRenderer<?> renderer : renderers.values())
-        {
-            if (renderer != null)
-            {
-                renderer.onWorldChanged(world);
-            }
-        }
+        return this.font;
     }
 
-    public FontRenderer getFont()
-    {
-        return fontRenderer;
-    }
-
-    private final Map<Class<?>, TileEntityRenderer<?>> renderers;
-    public static TileEntityRenderDispatcher instance = new TileEntityRenderDispatcher();
-    private FontRenderer fontRenderer;
-    public static double renderPosX;
-    public static double renderPosY;
-    public static double renderPosZ;
-    public TextureManager textureManager;
-    public World worldObj;
-    public ICamera camera;
-    public float viewLerpYaw;
-    public float viewLerpPitch;
-    public double viewLerpPosX;
-    public double viewLerpPosY;
-    public double viewLerpPosZ;
-
 }
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModel.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModel.java
index 9fe9c3bb5..7b141fe5f 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModel.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModel.java
@@ -18,7 +18,7 @@ public abstract class BlockModel<T extends BlockLogic>
     public static final float FULL_CUBE_THRESHOLD = 1.0f / 16.0f;
 
     public final Block<T> block;
-    public BlockModel(Block<T> block){
+    public BlockModel(final Block<T> block){
         this.block = block;
     }
     public abstract boolean render(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z);
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
index 5494b99a4..45f82d949 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
@@ -1,6 +1,7 @@
 package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.Minecraft;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.util.dispatch.Dispatcher;
 import net.minecraft.core.block.Block;
@@ -15,11 +16,11 @@ import static net.minecraft.client.render.block.model.BlockModelStandard.BLOCK_T
 import static net.minecraft.client.render.block.model.BlockModelStandard.OVERBRIGHT_TEXTURES;
 import static net.minecraft.client.render.block.model.BlockModelStandard.RETRO_BLOCK_TEXTURES;
 
-public class BlockModelDispatcher
+public final class BlockModelDispatcher
     extends Dispatcher<Block<?>, BlockModel<?>>
 {
-    private static final Side[] S_TB = new Side[]{Side.TOP, Side.BOTTOM};
-    private static final Side[] S_SIDES = new Side[]{Side.NORTH, Side.EAST, Side.SOUTH, Side.WEST};
+    private static final Side[] S_TB = {Side.TOP, Side.BOTTOM};
+    private static final Side[] S_SIDES = {Side.NORTH, Side.EAST, Side.SOUTH, Side.WEST};
 
     private static BlockModelDispatcher instance = new BlockModelDispatcher();
     public static BlockModelDispatcher getInstance()
@@ -27,17 +28,17 @@ public class BlockModelDispatcher
         return instance;
     }
     public static BlockModelEmpty<?> modelEmpty = new BlockModelEmpty<>(null);
-    public void addDispatch(BlockModel<?> model)
+    public void addDispatch(final BlockModel<?> model)
     {
         addDispatch(model.block, model);
     }
     @Override
-    public void addDispatch(Block<?> key, BlockModel<?> value)
+    public void addDispatch(final Block<?> key, final BlockModel<?> value)
     {
         if (hasDispatch(key)){
             throw new IllegalArgumentException("Block '" + key.toString() + "' already assigned a model!");
         }
-        dispatches.put(key, value);
+        this.dispatches.put(key, value);
     }
     @Override
     protected BlockModel<?> getDefault()
@@ -45,19 +46,20 @@ public class BlockModelDispatcher
         return modelEmpty;
     }
 
-    private @NotNull BlockModelMojangData loadDataModel(@NotNull String id) {
-        Minecraft mc = Minecraft.getMinecraft();
+    private static @NotNull BlockModelMojangData loadDataModel(@NotNull final String id) {
+        final Minecraft mc = Minecraft.getMinecraft();
         return Objects.requireNonNull(BlockModelMojangData.Cache.loadModelData(mc.texturePackList, id), "Cannot find model for id '" + id + "'!");
     }
 
     private BlockModelDispatcher() {
+        super();
         instance = this;
         reload();
     }
 
     public void reload() {
         BlockModelMojangData.Cache.resetCache();
-        dispatches.clear();
+        this.dispatches.clear();
         addDispatch(new BlockModelStandard<>(Blocks.STONE).setAllTextures(BLOCK_TEXTURES, "minecraft:block/stone"));
         addDispatch(new BlockModelStandard<>(Blocks.BASALT).setAllTextures(BLOCK_TEXTURES, "minecraft:block/basalt"));
         addDispatch(new BlockModelStandard<>(Blocks.LIMESTONE).setAllTextures(BLOCK_TEXTURES, "minecraft:block/limestone"));
@@ -508,7 +510,7 @@ public class BlockModelDispatcher
             .withCustomItemBounds(0,0,0,1,1,1));
 
         addDispatch(new BlockModelPistonHead(Blocks.PISTON_HEAD, TextureRegistry.getTexture("minecraft:block/piston/head"), TextureRegistry.getTexture("minecraft:block/piston/shaft")).setAllTextures(BLOCK_TEXTURES, "minecraft:block/piston/face"));
-        addDispatch(new BlockModelEmpty<>(Blocks.PISTON_MOVING));
+        addDispatch(new BlockModelEmpty<>(Blocks.PISTON_MOVING).setAllTextures(BLOCK_TEXTURES, (IconCoordinate) null));
         addDispatch(new BlockModelPistonHead(Blocks.PISTON_HEAD_STEEL, TextureRegistry.getTexture("minecraft:block/piston_steel/head"), TextureRegistry.getTexture("minecraft:block/piston_steel/shaft"), 6/16d, 8d/16d).setAllTextures(BLOCK_TEXTURES, "minecraft:block/piston_steel/face"));
 
         addDispatch(new BlockModelStandard<>(Blocks.NOTEBLOCK).setAllTextures(BLOCK_TEXTURES, "minecraft:block/noteblock"));
@@ -761,10 +763,10 @@ public class BlockModelDispatcher
         addDispatch(new BlockModelLantern<>(Blocks.LANTERN_FIREFLY_RED).setAllTextures(BLOCK_TEXTURES, "minecraft:block/lantern_firefly/red"));
         addDispatch(new BlockModelJar<>(Blocks.JAR_GLASS));
 
-        addDispatch(new BlockModelJarButterfly<>(Blocks.JAR_BUTTERFLY_BLUE).withTextures("minecraft:block/jar_butterfly"));
-        addDispatch(new BlockModelJarButterfly<>(Blocks.JAR_BUTTERFLY_ORANGE).withTextures("minecraft:block/jar_butterfly"));
-        addDispatch(new BlockModelJarButterfly<>(Blocks.JAR_BUTTERFLY_PINK).withTextures("minecraft:block/jar_butterfly"));
-        addDispatch(new BlockModelJarButterfly<>(Blocks.JAR_BUTTERFLY_SILVER).withTextures("minecraft:block/jar_butterfly"));
+        addDispatch(new BlockModelJarButterfly<>(Blocks.JAR_BUTTERFLY_BLUE).setAllTextures(BLOCK_TEXTURES, "minecraft:block/jar_butterfly"));
+        addDispatch(new BlockModelJarButterfly<>(Blocks.JAR_BUTTERFLY_ORANGE).setAllTextures(BLOCK_TEXTURES, "minecraft:block/jar_butterfly"));
+        addDispatch(new BlockModelJarButterfly<>(Blocks.JAR_BUTTERFLY_PINK).setAllTextures(BLOCK_TEXTURES, "minecraft:block/jar_butterfly"));
+        addDispatch(new BlockModelJarButterfly<>(Blocks.JAR_BUTTERFLY_SILVER).setAllTextures(BLOCK_TEXTURES, "minecraft:block/jar_butterfly"));
 
         addDispatch(new BlockModelPebbles<>(Blocks.OVERLAY_PEBBLES));
 
@@ -788,8 +790,8 @@ public class BlockModelDispatcher
         addDispatch(new BlockModelEmpty<>(Blocks.STATUE_GRANITE_UPPER).setAllTextures(BLOCK_TEXTURES, "minecraft:block/granite"));
         addDispatch(new BlockModelEmpty<>(Blocks.STATUE_MARBLE_LOWER).setAllTextures(BLOCK_TEXTURES, "minecraft:block/marble"));
         addDispatch(new BlockModelEmpty<>(Blocks.STATUE_MARBLE_UPPER).setAllTextures(BLOCK_TEXTURES, "minecraft:block/marble"));
-        addDispatch(new BlockModelEmpty<>(Blocks.STATUE_PIGMAN_LOWER).setAllTextures(BLOCK_TEXTURES, "minecraft:block/pigman"));
-        addDispatch(new BlockModelEmpty<>(Blocks.STATUE_PIGMAN_UPPER).setAllTextures(BLOCK_TEXTURES, "minecraft:block/pigman"));
+        addDispatch(new BlockModelEmpty<>(Blocks.STATUE_PIGMAN_LOWER).setAllTextures(BLOCK_TEXTURES, "minecraft:block/marble"));
+        addDispatch(new BlockModelEmpty<>(Blocks.STATUE_PIGMAN_UPPER).setAllTextures(BLOCK_TEXTURES, "minecraft:block/marble"));
 
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelEmpty.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelEmpty.java
index 1c3644656..b1d381d22 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelEmpty.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelEmpty.java
@@ -4,31 +4,26 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockLogic;
-import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
 public class BlockModelEmpty<T extends BlockLogic> extends BlockModelStandard<T> {
-    public BlockModelEmpty(Block<T> block) {
+    protected @Nullable IconCoordinate particle = null;
+    public BlockModelEmpty(final Block<T> block) {
         super(block);
     }
 
     @Override
-    public boolean render(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z) {
+    public boolean render(@NotNull final Tessellator tessellator, @NotNull final WorldSource worldSource, final int x, final int y, final int z) {
         return false;
     }
 
     @Override
-    public void renderStandalone(@NotNull Tessellator tessellator, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
+    public void renderStandalone(@NotNull final Tessellator tessellator, final int metadata, final float brightness, final float alpha, @Nullable final Integer lightmapCoordinate) {
 
     }
 
-    @Override
-    public @Nullable IconCoordinate getParticleTexture(@NotNull Side side, int meta) {
-        return null;
-    }
-
     @Override
     public boolean shouldItemRender3d() {
         return false;
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelGeneric.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelGeneric.java
index f6c098ddb..3fbcede22 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelGeneric.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelGeneric.java
@@ -16,19 +16,19 @@ import org.useless.dragonfly.models.block.StaticBlockModel;
 public class BlockModelGeneric<T extends BlockLogic> extends BlockModel<T>{
     private final StaticBlockModel staticModel;
 
-    public BlockModelGeneric(@NotNull Block<T> block, @NotNull StaticBlockModel staticModel) {
+    public BlockModelGeneric(@NotNull final Block<T> block, @NotNull final StaticBlockModel staticModel) {
         super(block);
         this.staticModel = staticModel;
     }
 
-    public BlockModelGeneric(@NotNull Block<T> block, @NotNull BlockModelData staticModel) {
+    public BlockModelGeneric(@NotNull final Block<T> block, @NotNull final BlockModelData staticModel) {
         super(block);
         this.staticModel = staticModel.asModel();
     }
 
     @Override
-    public boolean renderNoCulling(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z) {
-        return staticModel.renderAttached(this,
+    public boolean renderNoCulling(@NotNull final Tessellator tessellator, @NotNull final WorldSource worldSource, final int x, final int y, final int z) {
+        return this.staticModel.renderAttached(this,
             tessellator,
             worldSource, x,
             y,
@@ -37,8 +37,8 @@ public class BlockModelGeneric<T extends BlockLogic> extends BlockModel<T>{
     }
 
     @Override
-    public boolean render(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z) {
-        return staticModel.renderAttached(this,
+    public boolean render(@NotNull final Tessellator tessellator, @NotNull final WorldSource worldSource, final int x, final int y, final int z) {
+        return this.staticModel.renderAttached(this,
             tessellator,
             worldSource, x,
             y,
@@ -47,13 +47,13 @@ public class BlockModelGeneric<T extends BlockLogic> extends BlockModel<T>{
     }
 
     @Override
-    public boolean renderOverbright(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z) {
+    public boolean renderOverbright(@NotNull final Tessellator tessellator, @NotNull final WorldSource worldSource, final int x, final int y, final int z) {
         throw new UnsupportedOperationException();
     }
 
     @Override
-    public boolean renderWithOverrideTexture(@NotNull Tessellator tessellator, @NotNull WorldSource worldSource, int x, int y, int z, IconCoordinate textureIndex) {
-        return staticModel.renderAttached(this,
+    public boolean renderWithOverrideTexture(@NotNull final Tessellator tessellator, @NotNull final WorldSource worldSource, final int x, final int y, final int z, final IconCoordinate textureIndex) {
+        return this.staticModel.renderAttached(this,
             tessellator,
             worldSource, x,
             y,
@@ -62,11 +62,11 @@ public class BlockModelGeneric<T extends BlockLogic> extends BlockModel<T>{
     }
 
     @Override
-    public void renderStandalone(@NotNull Tessellator tessellator, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
-        staticModel.renderStandalone(this,
+    public void renderStandalone(@NotNull final Tessellator tessellator, final int metadata, final float brightness, final float alpha, @Nullable final Integer lightmapCoordinate) {
+        this.staticModel.renderStandalone(this,
             tessellator, 0, 0, 0,
             metadata,
-            BlockColorDispatcher.getInstance().getDispatch(block),
+            BlockColorDispatcher.getInstance().getDispatch(this.block),
             brightness, alpha);
     }
 
@@ -76,27 +76,27 @@ public class BlockModelGeneric<T extends BlockLogic> extends BlockModel<T>{
     }
 
     @Override
-    public @NotNull DisplayPos getItemDisplayPos(@NotNull String id) {
-        return staticModel.getItemDisplayPos(id);
+    public @NotNull DisplayPos getItemDisplayPos(@NotNull final String id) {
+        return this.staticModel.getItemDisplayPos(id);
     }
 
     @Override
     public int renderLayer() {
-        return staticModel.renderLayer();
+        return this.staticModel.renderLayer();
     }
 
     @Override
-    public @Nullable IconCoordinate getParticleTexture(@NotNull Side side, int meta) {
-        return staticModel.getParticle(side);
+    public @Nullable IconCoordinate getParticleTexture(@NotNull final Side side, final int meta) {
+        return this.staticModel.getParticle(side);
     }
 
     @Override
-    public @Nullable IconCoordinate getOverlayTexture(int meta) {
-        return staticModel.getOverlay();
+    public @Nullable IconCoordinate getOverlayTexture(final int meta) {
+        return this.staticModel.getOverlay();
     }
 
     @Override
-    public int particleColorIndex(@NotNull WorldSource worldSource, int x, int y, int z, @NotNull Side side, int meta) {
-        return staticModel.particleColorIndex(side);
+    public int particleColorIndex(@NotNull final WorldSource worldSource, final int x, final int y, final int z, @NotNull final Side side, final int meta) {
+        return this.staticModel.particleColorIndex(side);
     }
 }
